Page 1 of 3 123 LastLast
Results 1 to 20 of 41

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Any way to downgrade iPhone 3g on iOS 4.1 Baseband 5.14.02?

  1. #1
    Unhappy Any way to downgrade iPhone 3g on iOS 4.1 Baseband 5.14.02?
    Hi Everyone,

    I accidentally upgraded my iPhone 3g from 4.0.1 to iOS 4.1 and in the process upgraded the baseband also to 5.14.02.

    Two problems:
    1. unable to unlock
    2. Slow response time

    I understand that we may have an unlock for baseband, but the slow response time / lag is kind of too tough to accept. Is there any way to roll back to older and more faster firmware?

    I tried to download prior .ipsw file, redirected the host file to Saurik's database but could not. Any easy way to rollback?

    Please advise.

    Thanks in Advance.
    Brenda

  2. #2
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Yes, you can. Put your iphone into DFU mode and do the Shift + Restore to 3.1.3. Use Exit recovery from the feature of Tiny Umbrella to kick out error 1015.

  3. #3
    Hi,

    Thanks for the fast reply. If I understand you correctly, 1) Download 3g 3.1.3 ipsw, 2) put iphone in dfu mode, mod the Host file and then shift restore - when I do this, I get error from iTunes. Is this correct? Am I doing something wrong? Please advise.
    Brenda

  4. #4
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    You don't have to edit the hosts file. When error 1015 pops up, use exit recovery and you will be at emergency screen.
    You can then jsilbreak with Redsn0w 0.9.4 but point to 3.1.2. No unlock tho.

  5. The Following User Says Thank You to iYeow For This Useful Post:

    Brenda_Sheldon (2010-11-07)

  6. #5
    Thanks again for your fast response.
    1) Download 3g 3.1.3 ipsw,
    2) put iphone in dfu mode
    3) Shift +Restore pointing to 3.1.3 ipsw
    4) error 1015 will show up
    5) Use tinyumbrella to exit recovery
    6) Jailbreak with redsn0w 0.9.4 and 3.1.2 ipsw

    unlock not possible because of baseband.

    Am I correct in the above steps? Thanks

  7. #6
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Yes, absolutely correct. You are learning fast.

  8. The Following User Says Thank You to iYeow For This Useful Post:

    Brenda_Sheldon (2010-11-08)

  9. #7
    Hi Yeow202,

    Every thing worked well except for the Phone. Wifi works great, but it refuses to connect to AT&T Network (sim card is AT&T). Any idea? Thanks

  10. #8
    AT&T should work. Try rebooting phone.

  11. #9
    Tried reboot as well as hard reset, did not work. For now back to 4.1 since I need the phone, will try again some tomorrow or the day after. Thanks for responding.

  12. #10
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    When you are down at 3.1.3, activate it first with your ATNT , after activation, only then you jailbreak.

  13. #11
    Default help !!!!!!
    Quote Originally Posted by yeow202 View Post
    When you are down at 3.1.3, activate it first with your ATNT , after activation, only then you jailbreak.
    hi, i have stupidly upgraded my phone to 4.1 and need it downgraded asap to 4.0 can you please help me ?? i need my phone for work and my sim only works with the jailbreak. thanks for any help

  14. #12
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    If you have upgraded to 4.1 , your baseband has been updated and cannot be downgraded.

  15. The Following User Says Thank You to iYeow For This Useful Post:

    Fantapants (2010-11-10)

  16. #13
    so that means i cant use my sim card in my phone !! Crap. is there anyway to jailbreak the 4.1 ??

  17. #14
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    To be precise , your phone only works with software unlock. Go check your baseband also called modem firmware under setting > general > about > if it is 05.14.xx, then there is no unlock yet. A new unlock should be released only after the release of IOS 4.2 which is due this friday.

    You can jailbreak your 3gs with Limera1n at 4.1 and if you are with the official carrier,then you can still use it but not with unofficial carrier.
    Last edited by iYeow; 2010-11-10 at 07:27 AM. Reason: Automerged Doublepost

  18. The Following User Says Thank You to iYeow For This Useful Post:

    Fantapants (2010-11-10)

  19. #15
    yeah its 05.14.02 ! thanks for all your help mate. So hopefuly after firday there should be an unlock coming out for 4.1 ?? sorry am not very good with all this tecnnology stuff lol The jailbreak i have been using is called jailbreakme.com and you just use it straight from the handset, dont know if you know this one ??

  20. #16
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Jailbreak me will not work at 4.1. Use can use either GreenPoison or Limera1n to do the jailbreak with a pc or Mac
    Last edited by iYeow; 2010-11-10 at 09:33 AM.

  21. #17
    I am a Newb to this forum and have unfortunately done the same. So for now I need to wait for the new iOS 4.2 in order for the new JB for baseband 5.14.02. I will then be able to JB and Unlock for another carrier (currently ATT)?

  22. #18
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Quote Originally Posted by prabassa View Post
    I am a Newb to this forum and have unfortunately done the same. So for now I need to wait for the new iOS 4.2 in order for the new JB for baseband 5.14.02. I will then be able to JB and Unlock for another carrier (currently ATT)?
    Make sure you backup your shsh blogs using Tiny Umbrella.

  23. #19
    iYeow, Can u expand on what is Tiny Umbrella? I just got this hand me down iPhn 3g and want to connect to SimpleMobile. I will research the forums to make sure I use the correct process and SW.
    Thanks for ur help.
    PR

  24. #20
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Quote Originally Posted by prabassa View Post
    iYeow, Can u expand on what is Tiny Umbrella? I just got this hand me down iPhn 3g and want to connect to SimpleMobile. I will research the forums to make sure I use the correct process and SW.
    Thanks for ur help.
    PR
    Tiny Umbrella allows you to save your shsh blogs locally and also push your shsh blogs to Cydia server. These blogs is required if you want to do a restore on a firmware when Apple no longer is signing the firmware, without it, you cannot restore to that firmware. It also has a feature, to kick out of recovery loop.
    To save all your shsh blogs, just run TU and have your iphone plugged in and click save shsh, all future shsh blogs will be saved for you by Cydia and you don't have to be jailbroken to do that.

  25. The Following User Says Thank You to iYeow For This Useful Post:

    theSpeedFreak (2011-01-04)

Page 1 of 3 123 LastLast
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •